Bug 2724 - (int-79365/int-163554) Please provide xdg-utils
(int-79365/int-163554)
: Please provide xdg-utils
Status: RESOLVED FIXED
Product: Desktop platform
general
: 5.0/(3.2010.02-8)
: All Linux
: Low enhancement (vote)
: Harmattan
Assigned To: Marius Vollmer
: HAF QA mailing list
:
:
:
:
  Show dependency tree
 
Reported: 2008-01-07 13:45 UTC by Marius Gedminas
Modified: 2010-05-03 23:57 UTC (History)
4 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Marius Gedminas (reporter) 2008-01-07 13:45:18 UTC
Please provide the xdg-utils package in the standard OS image:
http://portland.freedesktop.org/wiki/
Comment 1 Eero Tamminen nokia 2008-01-07 14:05:40 UTC
Maemo discussion on this subject:
http://lists.maemo.org/pipermail//maemo-developers/2008-January/013605.html

xdg-utils package on Debian Etch has following:
------------------------
Description: Desktop integration utilities from freedesktop.org
 xdg-utils contains utilities for integrating applications with the
 desktop environment, regardless of which desktop environment is used.
 .
 The following utilities are included:
 .
  * xdg-desktop-menu - Install desktop menu items
  * xdg-desktop-icon - Install icons on the user's desktop
  * xdg-icon-resource - Install icon resources
  * xdg-mime - Gather MIME information about a file
  * xdg-open - Open a URL in the user's preferred application that
               handles the respective URL or file type
  * xdg-email - Open the user's preferred email client, potentially with
                subject and other info filled in
  * xdg-screensaver - Enable, disable, or suspend the screensaver
------------------------

Due to dependencies and maemo using D-BUS it should provide it's
own version of this.  Especially xdg-mime and xdg-email would be
interesting, maybe also  xdg-desktop-menu.  xdg-screensaver could
postpone device screen blanking (it's a D-BUS call too).
Comment 2 Eero Tamminen nokia 2008-01-16 12:06:32 UTC
> Especially xdg-mime and xdg-email would be interesting

Sorry, meant xdg-open instead of xdg-mime.
Comment 3 Karsten Br├Ąckelmann 2008-05-23 15:02:33 UTC
Re-setting the assignee, since Carlos moved on to other tasks.

Please note that this does not affect the legitimacy of the bug in any way.
It's a purely administrative operation. Sorry for the noise.
Comment 4 Andre Klapper maemo.org 2008-09-23 14:38:49 UTC
This will be tackled for Fremantle because it will be helpful for the Search
Framework.
Hence setting Target Milestone.
Comment 5 Quim Gil nokia 2008-12-29 16:45:05 UTC
Any updates, now that Fremantle is a more concrete thing?
Comment 6 Andre Klapper maemo.org 2009-04-09 13:07:53 UTC
Forwarding comment from internal ticket:
"I'm sorry, we don't have the resources to handle this in Fremantle timeframe."

Keeping this opened and adding it to my "Ask for Harmattan again" list.
Comment 7 Andre Klapper maemo.org 2009-05-11 16:02:35 UTC
Just to clarify again: WONTFIX for Fremantle.
Trying again for Harmattan.
Comment 8 Andre Klapper maemo.org 2009-05-11 18:27:44 UTC
FYI: WONTFIX was also proposed for Harmattan, as the Application Framework will
provide different mechanisms for those operations.
Comment 9 Eero Tamminen nokia 2010-04-21 12:17:52 UTC
Bug 163554 is going to be fixed for Harmattan, setting TM.

(Finally! This has been open over 2 years...)
Comment 10 Andre Klapper maemo.org 2010-04-22 12:16:26 UTC
xdg-utils 1.0.2 (or newer) has been included for Maemo6.
Comment 11 msrebnik 2010-05-03 23:57:34 UTC
Wish this was available now, as I could really use it!

But glad to hear that at least it's coming in next version, Harmattan...

Thanks!